Subject: Re: [PATCH v2]: Fix e500 v2 core reboot bug

From: Segher Boessenkool <[email-masked]>
Date: Mon, 4 Jun 2007 12:37:05 +0200

>>>> guts@e00000 {

>> If "guts" is some kind of official name (i.e., the
>> block is called that in the user manual), it looks
>> okay to me.
> No! It is not official name. It is provided by Kumar. It should be a
> abbr. standing for "Global Utilities" as far as my understand.

So the official name is "global utilities block"?

>> Otherwise, please change; in fact, just
>> change the name anyway (not the compatible), to
>> "shared-soc-regs" or something like that;
> I can not agree with you. "shared-soc-regs" can not describe the
> property of this kind of register.
> The official description for this set of registers:
>
> "The global utilities block controls power management, I/O device
> enabling, power-on-reset (POR) configuration monitoring, 
> general-purpose
> I/O signal configuration, alternate function selection for multiplexed
> signals, and clock control.
>
> gub (Kumar's style?): global utilities block
> or
> global-uti-regs or global-uti (Segher's style?)
> may be better.

"global-utilities" sounds fine to me, although the
name doesn't actually say anything.  Let's avoid
abbr.s unless they are very widely known.

>>  "name"
>> should be descriptive (but terse).
>>
> Agree!
> But we should reach a agreement!

Nah, you guys just need to come up with a good name :-)
I would just call it "control" perhaps ;-)

It doesn't matter much, but "name" should be human-
readable, human-understandable, and short.  A made-up
acronym doesn't work (although I like "guts", sure --
put it in your "compatible" property ;-) )

Segher